body {
    background: white; 
    margin: 0;
    padding: 0;
    min-width: 100vw;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    font-size: calc(var(--base) * 1);
    position: relative;
    z-index: 1;
}
a, #mid, #end {
    width: 100vw;
    padding: 0 10vw;
}
a {
    background-color: #2a0308;
    color: #f8ebbe;
    outline: none !important;
    border: none !important;
    cursor: pointer;
    font-size: calc(var(--base) * 1.5);
    font-weight: bold;
    text-transform: capitalize;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    height: calc(var(--base) * 5);
    transition: background 333ms;
}
#top {
    pointer-events: none;
}
#top::before {
    content: "\2632";
    display: inline-block;
    font-size: calc(var(--base) * 1.85);
    margin-right: calc(var(--base) * 1);
}
#top::after,
#top:hover::after {
    pointer-events: all;
    cursor: pointer;
    content: "\21BB";
    display: inline-block;
    font-size: calc(var(--base) * 1.85);
    margin-left: auto;
    transition: transform 333ms;
}
#top:hover::after {
    transform: rotate(90deg);
}
#mid {
    margin: auto 0;
    font-size: calc(var(--base) * 1.5);
}
p {
    margin-top: 1vh;
    margin-bottom: 2vh;
}
.data {
    display: flex;
    width: 100%;
}
#label {
    border-top-left-radius: calc(var(--base) * 0.5);
    background-color: #f8ebbe;
    height: 100%;
    width: 100%;
    color: #f8ebbe;
    padding: 2.5vh 2.5vw;
    border: 5px solid #2a0308;
    border-bottom: none;
}
#label::selection {
    color: #f8ebbe;
    background: #2a0308;
}
#size {
    background-color: #2a0308;
    color: #2a0308;
    border-top-right-radius: calc(var(--base) * 0.5);
    min-width: calc(var(--base) * 4);
    max-width: calc(var(--base) * 6);
    text-align: center;
}
#label:focus,#size:focus {
    outline: none;
}
#label:focus { color: #2a0308; }
#size:focus  { color: #f8ebbe; }
.tiles {
    border-radius: calc(var(--base) * 0.5);
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    background-color: #2a0308;
    color: #f8ebbe;
    display: flex;
    width: 100%;
    position: relative;
}
.tile {
    position: relative;
    width: 25%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}
.tile .value {
    padding: 2.5vh 2.5vw;
    font-size: 150%;
}
.tile .count {
    position: absolute;
    bottom: 1vh;
    right: 1vw;
    font-size: 90%;
    opacity: 0.75;
}
.tile .count,
.tile .value {
    pointer-events: none;
}
#end {
    letter-spacing: 0.1vw;
    text-transform: capitalize;
}
#end:hover {
    color: #2a0308;
    background-color: #f8ebbe;
}
#end::after,
#end:hover::after {
    display: inline-block;
    position: relative;
    content: "\272A";
    font-size: calc(var(--base) * 2.5);
    margin-left: auto;
    transition: transform 333ms;
}
#end:hover::after {
    transform: rotate(360deg);
}
[disabled] {
    pointer-events: none;
    opacity: 0.5;
    cursor: not-allowed;
}
@media only screen and (max-width: 768px) {
    a, #mid, #end {
        padding: 0 5vw;
    }
}